%global _hardened_build 1

Name:           lsyncd
Version:        2.1.5
Release:        %mkrel 1
Summary:    File change monitoring and synchronization daemon
Group:         File tools
License:       GPLv2+
URL:             http://code.google.com/p/lsyncd/
Source0:      http://%{name}.googlecode.com/files/%{name}-%{version}.tar.xz
# https://github.com/axkibe/lsyncd/issues/220
Patch0:         0001-Sanitize-mv-arguments.patch
BuildRequires:  %{_lib}lua5.2-devel
BuildRequires:  asciidoc
Requires: lua5.2
Requires: rsync

%description
Lsyncd watches a local directory trees event monitor interface (inotify).
It aggregates and combines events for a few seconds and then spawns one
(or more) process(es) to synchronize the changes. By default this is
rsync.

Lsyncd is thus a light-weight live mirror solution that is comparatively
easy to install not requiring new file systems or block devices and does
not hamper local file system performance.


%prep
%setup -q
%patch0 -p1


%build
%configure2_5x
%make

%install
rm -rf %buildroot
make install DESTDIR=%{buildroot}


%files
%doc %{_mandir}/man1/lsyncd.1*
%doc COPYING ChangeLog examples
%{_bindir}/lsyncd


%changelog
* Mon Jun 01 2015 bb <bb> 2.1.5-1pclos2015
- create package
